#ifndef _SMAGE_VIEWER_THINK_BUBBLE_H
#define _SMAGE_VIEWER_THINK_BUBBLE_H

// project header
#include "SmageViewerShapedText.h"
#include <SmageComicEllipseShape.h>

struct OtherBubble
{
  OtherBubble();
  OtherBubble( QRect r, QPoint p );
  QRect rect;
  QPoint pos;
};

/** Widget class that displays a think bubble.
  *
  * @ingroup SmageApp
  * @ingroup NPSmagePlugin
  * @ingroup SmageAXPlugin
  *
  */
class SmageViewerThinkBubble : public SmageViewerShapedText
{
  Q_OBJECT

  public:
    SmageViewerThinkBubble(QWidget *parent, const char* name, const SmageComicEllipseObj &ellipseObj);
    ~SmageViewerThinkBubble();
    virtual QString getClassName() { return QString("SmageViewerThinkBubble"); }

  protected:
    std::vector<OtherBubble> _otherBubblesVec;

  private:
    void preparePixmaps();
};

#endif
