#ifndef SMAGE_XML_LANGUAGE_FILE_PARSER_H
#define SMAGE_XML_LANGUAGE_FILE_PARSER_H

// project header
#include "structs/TheS_DictEntries.h"

// qt header
#include <qxml.h>

// c/c++ header
#include <vector>

class SmageXmlLanguageFileParser : public QXmlDefaultHandler
{
 public:
    
  SmageXmlLanguageFileParser();
  ~SmageXmlLanguageFileParser();

  bool startDocument();
  bool startElement(const QString&, const QString&, const QString& , const QXmlAttributes&);
  bool endElement(const QString&, const QString&, const QString&);
  bool characters(const QString &data);
  
 private:
  void init();
  TheS_Language _currentLang;
  int _status;
};

#endif
