/** Class SmageHelpBrowser for showing Smage's help HTML-sides
  *
  * @ingroup SmageApp
  *
  */

#ifndef _SMAGE_HELP_BROWSER_H
#define _SMAGE_HELP_BROWSER_H

// project header
#include "../smageSharedFiles/SmageConfig.h"

// c/c++ header
#include <qmainwindow.h>
#include <qtextbrowser.h>

class SmageHelpBrowser : public QMainWindow
{
  Q_OBJECT
   
  public:
  
    SmageHelpBrowser(QWidget *parent, const QString &home, const QStringList &path, const char* name=0);
    ~SmageHelpBrowser();
  
  protected:    
    void initialize();

    QTextBrowser* _browser;
};

#endif
