/** Class SmageInfoWidget showing general information
  *
  * @ingroup SmageApp
  *
  */
#ifndef _SMAGE_INFO_WIDGET_H
#define _SMAGE_INFO_WIDGET_H

// project header
#include "../smageSharedFiles/SmageConfig.h"

// qt header
#include <qwidget.h>

class SmageInfoWidget : public QWidget
{
  Q_OBJECT
   
 public:

    SmageInfoWidget(QWidget *parent, const char* name, WFlags f);
    ~SmageInfoWidget();

    void setImg(const QString &imgPath, const bool &withOKButton = FALSE);
    void updateGeometry();
};

#endif
