#ifndef _SMAGE_TEXT_HOLDER_WIDGET_H
#define _SMAGE_TEXT_HOLDER_WIDGET_H

// project header
#include "SmageDictEntryDlg.h"
#include "../smageSharedFiles/SmageConfig.h"

// project header
#include <qwidget.h>

class SmageTextHolderWidget : public QWidget
{
  Q_OBJECT
   
 public:

    SmageTextHolderWidget(QWidget *parent, const char* name, const QString &text, const char* pixXpm[],
			  const bool &isDictEntry=FALSE);
    ~SmageTextHolderWidget();

    void setImg(const char* pixXpm[]);
    QString getText(){ return _theText; }
    void getDictEntries(QString &idString, int &idNum, QString &entry) const
      { idString = _idString; idNum = _idNum; entry =_theText; }
    bool getDictEntry();

 protected:
    void mouseReleaseEvent(QMouseEvent *);

 private:
    QString _theText;

    bool _isDictEntry;
    int _idNum;
    QString _idString;
    int _language;
};

#endif
