#ifndef _SMAGE_XML_HANDLER_H
#define _SMAGE_XML_HANDLER_H

// project header
#include "../smageSharedFiles/SmageXmlParser.h"
#include "../smageSharedFiles/structs/TheS_DictEntries.h"

// c/c++ header
#include <stdio.h>
#include <libxml/parser.h>
#include <libxml/tree.h>

class SmageXmlHandler
{
  public:

    SmageXmlHandler(const char *file);
    ~SmageXmlHandler();
    
    xmlNodePtr appendEntry(const DictIdEntriesMap &entriesMap, const QString &idName, 
			   const int &idNum=-1);
    int saveCurDoc(const char *fileName);
    SmageXmlParser _parser;

 private:
    xmlDocPtr _docPtr;
    xmlNodePtr _rootNodePtr;
};

#endif
