#ifndef DRAW_B_H
#define DRAW_B_H

#include <qwidget.h>
#include <qapplication.h>
#include <stdlib.h>
#include <vector>

#include "SmageEditorSpeechBubble.h"
#include "SmageEditorThinkBubble.h"
#include "SmageEditorSimpleBubble.h"

class TestWidget : public QWidget
{
public:
   TestWidget(QWidget *parent=0, const char *name=0);
   ~TestWidget();

protected:
    void        paintEvent( QPaintEvent * );
    void        mousePressEvent( QMouseEvent *);
    void        mouseReleaseEvent( QMouseEvent *);
    void        mouseMoveEvent( QMouseEvent *);

    std::vector<SmageEditorShapedText *> _textObjs;
};

#endif
