TEMPLATE      =  app
CONFIG        +=  qt
CONFIG += stl exceptions
HEADERS       = \
                 SmageApp.h \
                 SmageAppBase.h \                 
                 SmageAppViewerWidget.h \
                 SmageBubble.h \
                 SmageBubbleText.h \
                 SmageButton.h \
                 SmageDataManageWidget.h \
                 SmageDictEditor.h \
                 SmageDictEntryDlg.h \
                 SmageEditorShapedText.h \
                 SmageEditorSimpleBubble.h \
                 SmageEditorSpeechBubble.h \
                 SmageEditorThinkBubble.h \
                 SmageEncDoneDlg.h \
                 SmageHelpBrowser.h \
                 SmageHTMLGenerator.h \
                 SmageImgEncodeWidget.h \
                 SmageImgGrabber.h \
                 SmageImgHandler.h \
                 SmageImgInputDlg.h \
                 SmageImgSelectCopyWidget.h \
                 SmageImgSelectionWidget.h \
                 SmageImgSnip.h \
                 SmageInfoWidget.h \
                 SmageMsgDlg.h \
                 SmageTextEditor.h \
                 SmageTextHolderWidget.h \
                 SmageTextTypeDlg.h \
                 TestWidget.h \
                 SmageXmlHandler.h \
                 ../smageSharedFiles/SmageConfig.h \
                 ../smageSharedFiles/SmageDecodeHandler.h \
                 ../smageSharedFiles/SmageGenerator.h \
                 ../smageSharedFiles/SmageImgWidget.h \
                 ../smageSharedFiles/SmageShapedTextBase.h \
                 ../smageSharedFiles/SmageTextWidget.h \
                 ../smageSharedFiles/SmageViewerShapedText.h \
                 ../smageSharedFiles/SmageViewerSimpleBubble.h \
                 ../smageSharedFiles/SmageViewerSpeechBubble.h \
                 ../smageSharedFiles/SmageViewerThinkBubble.h \
                 ../smageSharedFiles/SmageViewerWidget.h \
                 ../smageSharedFiles/SmageXmlParser.h \
                 ../smageSharedFiles/SmageXmlConfigFileParser.h \
                 ../smageSharedFiles/SmageXmlLanguageFileParser.h \
                 ../smageSharedFiles/structs/SmageStructDecodedData.h \
                 ../smageSharedFiles/structs/SmageStructDecodeInfo.h \
                 ../smageSharedFiles/structs/TheS_BubbleData.h \
                 ../smageSharedFiles/structs/TheS_BubbleShapeData.h \
                 ../smageSharedFiles/structs/TheS_BubbleTextData.h \
                 ../smageSharedFiles/structs/TheS_DictEntries.h
SOURCES       = \
                 SmageApp.cpp \
                 SmageAppBase.cpp \                 
                 SmageAppViewerWidget.cpp \
                 SmageBubble.cpp \
                 SmageBubbleText.cpp \
                 SmageButton.cpp \
                 SmageDataManageWidget.cpp \
                 SmageDictEditor.cpp \
                 SmageDictEntryDlg.cpp \
                 SmageEditorShapedText.cpp \
                 SmageEditorSimpleBubble.cpp \
                 SmageEditorSpeechBubble.cpp \
                 SmageEditorThinkBubble.cpp \
                 SmageEncDoneDlg.cpp \
                 SmageHelpBrowser.cpp \
                 SmageHTMLGenerator.cpp \
                 SmageImgEncodeWidget.cpp \
                 SmageImgGrabber.cpp \
                 SmageImgHandler.cpp \
                 SmageImgInputDlg.cpp \
                 SmageImgSelectCopyWidget.cpp \
                 SmageImgSelectionWidget.cpp \
                 SmageImgSnip.cpp \
                 SmageInfoWidget.cpp \
                 SmageMsgDlg.cpp \
                 SmageTextEditor.cpp \
                 SmageTextHolderWidget.cpp \
                 SmageTextTypeDlg.cpp \
                 TestWidget.cpp \
                 SmageXmlHandler.cpp \
                 ../smageSharedFiles/SmageDecodeHandler.cpp \
                 ../smageSharedFiles/SmageGenerator.cpp \
                 ../smageSharedFiles/SmageImgWidget.cpp \
                 ../smageSharedFiles/SmageShapedTextBase.cpp \
                 ../smageSharedFiles/SmageTextWidget.cpp \
                 ../smageSharedFiles/SmageViewerShapedText.cpp \
                 ../smageSharedFiles/SmageViewerSimpleBubble.cpp \
                 ../smageSharedFiles/SmageViewerSpeechBubble.cpp \
                 ../smageSharedFiles/SmageViewerThinkBubble.cpp \
                 ../smageSharedFiles/SmageViewerWidget.cpp \
                 ../smageSharedFiles/SmageXmlParser.cpp \
                 ../smageSharedFiles/SmageXmlConfigFileParser.cpp \
                 ../smageSharedFiles/SmageXmlLanguageFileParser.cpp \
                 ../smageSharedFiles/structs/SmageStructDecodedData.cpp \
                 ../smageSharedFiles/structs/SmageStructDecodeInfo.cpp \
                 ../smageSharedFiles/structs/TheS_BubbleData.cpp \
                 ../smageSharedFiles/structs/TheS_BubbleShapeData.cpp \
                 ../smageSharedFiles/structs/TheS_BubbleTextData.cpp \
                 ../smageSharedFiles/structs/TheS_DictEntries.cpp \
                 main.cpp
LIBS          += ../libSmage/libSmage.lib ../libxml2-2.6.20.win32/lib/libxml2.lib -lqtmain
unix:LIBS     += -lXt -xml2
INCLUDEPATH   += ../libSmage ../libxml2-2.6.20.win32/include
OBJECTS_DIR   =  output
MOC_DIR       =  output
TARGET        =  Smage
TRANSLATIONS  =  smage_de.ts
RC_FILE       =  theSmage.rc
