// project header
#include "SmageNPPluginViewerWidget.h"
#include "NPSmagePluginInstance.h"
#include "NPSmagePluginWidget.h"

SmageNPPluginViewerWidget::SmageNPPluginViewerWidget( QWidget *parent ) : SmagePluginViewerWidget( parent )
{
}


SmageNPPluginViewerWidget::~SmageNPPluginViewerWidget() 
{
}

void
SmageNPPluginViewerWidget::visitLinkLocation()
{
  NPSmagePluginWidget *parent =  (NPSmagePluginWidget*)parentWidget();
  NPSmagePluginInstance *plugin = (NPSmagePluginInstance*)parent->instance();
  plugin->visitLinkLocation();
}

bool
SmageNPPluginViewerWidget::hasRefURL()
{
  NPSmagePluginWidget *parent =  (NPSmagePluginWidget*)parentWidget();
  NPSmagePluginInstance *plugin = (NPSmagePluginInstance*)parent->instance();
  return plugin->hasRefURL();
}
