/** The SmageNPPluginViewerWidget class provides the implementation of Mozilla specific functions.
  *
  * @ingroup NPSmagePlugin
  *
  */
#ifndef SMAGE_NP_PLUGIN_VIEWER_WIDGET
#define SMAGE_NP_PLUGIN_VIEWER_WIDGET

// project header
#include "../smageSharedFiles/SmagePluginViewerWidget.h"

class SmageNPPluginViewerWidget : public SmagePluginViewerWidget
{
  Q_OBJECT
  
  public:
    /** Constructor.
      */
    SmageNPPluginViewerWidget( QWidget *parent );

    /** Destructor.
      */
    ~SmageNPPluginViewerWidget();

    /** Returns a class specific identifier string.
      */
    virtual QString getWidgetType() { return QString("SMAGE_NP_PLUGIN_VIEWER_WIDGET"); }

  protected:
    /**
      */
    virtual bool hasRefURL();

  protected slots:
    /**
      */
    virtual void visitLinkLocation();

};

#endif // SMAGE_NP_PLUGIN_VIEWER_WIDGET
