/** The base class for formatted text widgets (Speech bubble, ...)
  *
  * @ingroup SmageApp
  * @ingroup NPSmagePlugin
  * @ingroup SmageAXPlugin
  *
  */
#ifndef _SMAGE_SHAPED_TEXT_BASE
#define _SMAGE_SHAPED_TEXT_BASE

// project header
#include "SmageConfig.h"

// qt header
#include <qbitmap.h>
#include <qwidget.h>

class SmageShapedTextBase : public QWidget
{
  Q_OBJECT

  public:
    SmageShapedTextBase(QWidget *parent, const char* name);
    ~SmageShapedTextBase();

    virtual QString getClassName() = 0;  

    QPoint _position;
};

#endif
