#ifndef _SMAGE_VIEWER_SIMPLE_BUBBLE_H
#define _SMAGE_VIEWER_SIMPLE_BUBBLE_H

// project header
#include "SmageViewerShapedText.h"
#include <SmageEllipseShape.h>

/** Widget class that displays a an ellipse or a rectangle.
  *
  * @ingroup SmageApp
  * @ingroup NPSmagePlugin
  * @ingroup SmageAXPlugin
  *
  */
class SmageViewerSimpleBubble : public SmageViewerShapedText
{
  Q_OBJECT

 public:
   SmageViewerSimpleBubble(QWidget *parent, const char* name, const SmageEllipseObj &ellipseObj);
   virtual QString getClassName() { return QString("SmageViewerSimpleBubble"); }

   ~SmageViewerSimpleBubble();

 protected:
   TextShapeType _bubbleType;

  private:
    void preparePixmaps();

};

#endif
