#ifndef SMAGE_XML_CONFIG_FILE_PARSER_H
#define SMAGE_XML_CONFIG_FILE_PARSER_H

// qt header
#include <qxml.h>

struct SmageConfig
{
  SmageConfig();
  bool _loaded;
  QString _language;
};

class SmageXmlConfigFileParser : public QXmlDefaultHandler
{
 public:
    
  SmageXmlConfigFileParser();
  ~SmageXmlConfigFileParser();

  bool startDocument();
  bool startElement(const QString&, const QString&, const QString& , const QXmlAttributes&);
  bool endElement(const QString&, const QString&, const QString&);
  bool characters(const QString &data);
  
 private:
  void init();
  int _status;
};

#endif
