/** TheS_DictEntries.
  *
  * @ingroup SmageApp
  * @ingroup NPSmagePlugin
  * @ingroup SmageAXPlugin
  *
  */
#ifndef THE_S__DICT_ENTRY
#define THE_S__DICT_ENTRY

#include <map>
#include <vector>
#include <qstring.h>

struct TheS_DictEntries {
  QString primeWord;
  std::vector<QString> secWords;
};

typedef std::map<int, TheS_DictEntries> DictIdEntriesMap;
typedef std::pair<int, TheS_DictEntries> DictIdEntryPair;
typedef std::pair<QString, DictIdEntriesMap> DictEntriesPair;

struct TheS_Language {
  TheS_Language();
  TheS_Language(QString t, QString n);
  QString _tag;
  QString _name;
};

#endif
