#ifndef _SMAGE_ENC_DONE_DLG_H
#define _SMAGE_ENC_DONE_DLG_H

// project header
#include "../smageSharedFiles/SmageConfig.h"

// qt header
#include <qdialog.h>
class QGridLayout;
class QLabel;
class QPushButton;

/** Class SmageEncDoneDlg.
  *
  * @ingroup SmageApp
  *
  */
class SmageEncDoneDlg : public QDialog
{
  Q_OBJECT

 public:

    SmageEncDoneDlg(QWidget *topLevel=0);
    ~SmageEncDoneDlg();

    static bool getFileName(QString &fileName, QWidget *parent = 0, const char* name = 0);
    
  public slots:
    void savePressed();
    void cancelPressed();

 private:

    QPushButton *_saveButton, *_cancelButton;
    QGridLayout *_gridLayout;

    QString _fileName;
};

#endif
