#ifndef _SMAGE_MSG_DLG_H
#define _SMAGE_MSG_DLG_H

#include "../smageSharedFiles/SmageConfig.h"

#include <qdialog.h>

class QPushButton;
class QGridLayout;
class QLabel;

/** Class SmageEncDoneDlg.
  *
  * @ingroup SmageApp
  *
  */
class SmageMsgDlg : public QDialog
{
  Q_OBJECT

 public:

    SmageMsgDlg(QWidget *topLevel, const QString &caption, const QString &label, const QString &b1, 
		const int &defaultB = 1, const QString &b2 = QString::null, const QString &b3 = QString::null);
    ~SmageMsgDlg();

    static bool getResult(int &whichButton, QWidget *parent, const QString &caption, const QString &label,
			  const QString &b1, const int &defaultB = 1, const QString &b2 = QString::null, 
			  const QString &b3 = QString::null);
    
  public slots:
    void b1Pressed();
    void b2Pressed();
    void b3Pressed();

 private:

    QPushButton *_button1, *_button2, *_button3;
    QGridLayout *_gridLayout;

    int _whichButton;
};

#endif
