#include "TestWidget.h"
#include "SmageTextHolderWidget.h"
#include "SmageDataManageWidget.h"
#include "SmageImgHandler.h"

#include <qpainter.h>
#include <qfont.h>

#include <iostream>

TestWidget::TestWidget( QWidget *parent, const char *name )
  : QWidget( parent, name, WStaticContents )
{
  setBackgroundColor(blue);
  //setCursor(SizeAllCursor);

  resize(800, 600);


  QImage img("./test.png");
  QPointArray points;
  if (SmageImgHandler::findOutline(&img, points, qRgb(255,255,255)))
    {
      //std::cout << "jooo" << endl;

      QPixmap map(img.width(), img.height());
      map.fill();
      QPainter painter(&map);
      painter.setPen(QColor(0,0,0));
      painter.drawPolygon(points);

      map.save("test1.png", "PNG", 100);
    }

  /*
  SmageSpeechBubble *test1 = new SmageSpeechBubble(this, "Test1", 2);
  SmageSimpleBubble *test2 = new SmageSimpleBubble(this, "Test2", SMAGE_ELLIPSE, 2);
  SmageThinkBubble *test3 = new SmageThinkBubble(this, "Test3", 2);

  _textObjs.push_back(test1);  _textObjs.push_back(test2);  _textObjs.push_back(test3);
  */
  
  //SmageTextHolderWidget *w = new SmageTextHolderWidget(this, "W");

  SmageDataManageWidget *dm = new SmageDataManageWidget(this, "DM");
  dm->show();
}

TestWidget::~TestWidget()
{
}


//
// Handles paint events for the connect widget.
//

void TestWidget::paintEvent( QPaintEvent * )
{
  QPainter p(this);
  
  QRect rect(50,50, 406,175);
  p.drawRect(rect);

  for (unsigned int i=0; i<_textObjs.size(); i++)
    {
      //_textObjs[i]->hide();
    }
}


//
// Handles mouse press events for the connect widget.
//

void TestWidget::mousePressEvent(QMouseEvent *event)
{  
}


//
// Handles mouse release events for the connect widget.
//

void TestWidget::mouseReleaseEvent( QMouseEvent * )
{
}


//
// Handles mouse move events for the connect widget.
//

void TestWidget::mouseMoveEvent(QMouseEvent *event)
{
}
